<?php
/*
Template Name: Private Documents
*/

if (!current_user_can('edit_posts')) {
	wp_redirect(get_home_url());
}
acf_form_head();
get_header();


$is_page_builder_used = et_pb_is_pagebuilder_used(get_the_ID()); ?>

<div id="main-content">

	<?php if (!$is_page_builder_used) : ?>

		<div class="container">
			<div id="content-area" class="clearfix">
				<div id="left-area">

				<?php endif; ?>

				<?php while (have_posts()) : the_post(); ?>

					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

						<?php if (!$is_page_builder_used) : ?>

							<h1 class="main_title"><?php the_title(); ?></h1>
							<?php
							$thumb = '';

							$width = (int) apply_filters('et_pb_index_blog_image_width', 1080);

							$height = (int) apply_filters('et_pb_index_blog_image_height', 675);
							$classtext = 'et_featured_image';
							$titletext = get_the_title();
							$thumbnail = get_thumbnail($width, $height, $classtext, $titletext, $titletext, false, 'Blogimage');
							$thumb = $thumbnail["thumb"];

							if ('on' === et_get_option('divi_page_thumbnails', 'false') && '' !== $thumb)
								print_thumbnail($thumb, $thumbnail["use_timthumb"], $titletext, $width, $height);
							?>

						<?php endif; ?>

						<div class="entry-content">
							<?php
							the_content();

							if (!$is_page_builder_used)
								wp_link_pages(array('before' => '<div class="page-links">' . esc_html__('Pages:', 'Divi'), 'after' => '</div>'));
							?>
						</div> <!-- .entry-content -->
						<?php if (have_rows('member_documents')) : ?>

							<div class="rvba-documents">
								<div class="doc-list">

									<?php while (have_rows('member_documents')) : the_row(); ?>

										<?php
										$document = get_sub_field('document');
										$label = get_sub_field('document-label');

										if ($document) : ?>
											<div class="container-doc">
												<a style="float: left;" href="<?php echo $document['url']; ?>"><?php echo $label ?></a>
												<a style="float: right;" class="doc-link" href="<?php echo $document['url']; ?>"><?php echo $document['title']; ?></a>
											</div>
											<hr style="width: 100%;">
										<?php endif; ?>

									<?php endwhile; ?>
									<!-- repeater loop -->
								</div> <!-- doc-list -->
							</div> <!-- rvba-documents -->

							<?php if (current_user_can('edit_pages')) : ?>
								<div class="edit-form">
									<?php acf_form(array('html_submit_button'	=> '<input type="submit" class="acf-button doc-update" value="%s" />')); ?>
								</div>
							<?php endif; ?>
							<!-- Do we have an editor -->

						<?php endif; ?>
						<!-- if have repeater -->

						<?php
						if (!$is_page_builder_used && comments_open() && 'on' === et_get_option('divi_show_pagescomments', 'false')) comments_template('', true);
						?>

					</article> <!-- .et_pb_post -->

				<?php endwhile; ?>

				<?php if (!$is_page_builder_used) : ?>

				</div> <!-- #left-area -->

				<div id="sidebar">
					<h4 class="title-members-menu">Members Area</h4>
					<?php wp_nav_menu(array('menu' => 'members-menu', 'menu_class' => 'members-menu')); ?>
				</div>
			</div> <!-- #content-area -->
		</div> <!-- .container -->

	<?php endif; ?>

</div> <!-- #main-content -->

<?php

get_footer();
